(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31304,        939]
NotebookOptionsPosition[     29069,        866]
NotebookOutlinePosition[     29407,        881]
CellTagsIndexPosition[     29364,        878]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Setup", "Section",
 CellChangeTimes->{{3.470048878789584*^9, 3.470048880258623*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dist", "[", "L_", "]"}], ":=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", " ", "L"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"curve", "[", "R_", "]"}], " ", ":=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], "/", "R"}], ",", " ", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"misalign", "[", "a_", "]"}], " ", ":=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "a"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.466598818074254*^9, 3.4665988710097637`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Two mirror", "Section",
 CellChangeTimes->{{3.4700488842751913`*^9, 3.47004888753708*^9}}],

Cell["\<\
Assumes a curved and a flat mirror.  Waist is at the flat mirror.  Distance \
between mirrors is L,  curvature is R.\
\>", "Text",
 CellChangeTimes->{{3.470049017215173*^9, 3.470049053412961*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"M", "  ", "=", " ", 
   RowBox[{
    RowBox[{"dist", "[", "L", "]"}], ".", 
    RowBox[{"curve", "[", "R", "]"}], ".", 
    RowBox[{"dist", "[", "L", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invM", " ", "=", " ", 
   RowBox[{"Inverse", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", "M"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"dA", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"dist", "[", "L", "]"}], ".", 
     RowBox[{"misalign", "[", "\[Alpha]", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dB", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"misalign", "[", "\[Beta]", "]"}]}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.466598873272694*^9, 3.466598983033367*^9}, {
   3.466599060448139*^9, 3.466599065605576*^9}, {3.4665991042347383`*^9, 
   3.466599119380443*^9}, {3.466599305180043*^9, 3.466599378409768*^9}, {
   3.466599554573073*^9, 3.46659956084515*^9}, {3.466599681682251*^9, 
   3.4665996954173403`*^9}, {3.466600498009509*^9, 3.466600523437961*^9}, {
   3.466602713950962*^9, 3.466602727837549*^9}, 3.470048889487904*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "R"}], " ", "\[Alpha]"}]},
     {"0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.466598957149859*^9, 3.4665989843755407`*^9}, {
   3.466599109516354*^9, 3.4665991200222073`*^9}, {3.46659930757793*^9, 
   3.466599372029567*^9}, {3.466599556772397*^9, 3.4665995613681593`*^9}, {
   3.466599682590603*^9, 3.466599696305292*^9}, {3.466600508266992*^9, 
   3.4666005241719017`*^9}, {3.4666027147030497`*^9, 3.466602728776936*^9}, 
   3.470050555363475*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L", "-", "R"}], ")"}], " ", "\[Beta]"}]},
     {
      RowBox[{"-", "\[Beta]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.466598957149859*^9, 3.4665989843755407`*^9}, {
   3.466599109516354*^9, 3.4665991200222073`*^9}, {3.46659930757793*^9, 
   3.466599372029567*^9}, {3.466599556772397*^9, 3.4665995613681593`*^9}, {
   3.466599682590603*^9, 3.466599696305292*^9}, {3.466600508266992*^9, 
   3.4666005241719017`*^9}, {3.4666027147030497`*^9, 3.466602728776936*^9}, 
   3.4700505554029217`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Three mirror", "Section",
 CellChangeTimes->{{3.470048899464983*^9, 3.470048900679598*^9}}],

Cell["\<\
This has three mirrors like the input mode cleaner.  Two are flat,  one is \
curved.  The distance from the waist to MC1 is x,  the distance from MC1 to \
MC2 is L.  Horizontal and vertical are different. Astigmatism and 3-d are not \
included.\
\>", "Text",
 CellChangeTimes->{{3.470049059204967*^9, 3.470049117395331*^9}}],

Cell[CellGroupData[{

Cell["Vertical", "Subsection",
 CellChangeTimes->{{3.470048905729452*^9, 3.470048906569583*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MV", " ", "=", " ", 
   RowBox[{
    RowBox[{"dist", "[", 
     RowBox[{"L", "+", "x"}], "]"}], ".", 
    RowBox[{"curve", "[", "R", "]"}], ".", 
    RowBox[{"dist", "[", 
     RowBox[{"L", "+", "x"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invM", " ", "=", " ", 
   RowBox[{"Inverse", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", "MV"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"dA", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"dist", "[", 
      RowBox[{"L", "+", "x"}], "]"}], ".", 
     RowBox[{"curve", "[", "R", "]"}], ".", 
     RowBox[{"dist", "[", "L", "]"}], ".", 
     RowBox[{"misalign", "[", "\[Alpha]", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dB", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"dist", "[", 
      RowBox[{"L", "+", "x"}], "]"}], ".", 
     RowBox[{"misalign", "[", "\[Beta]", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dG", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"dist", "[", "x", "]"}], ".", 
     RowBox[{"misalign", "[", "\[Gamma]", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4666061753949537`*^9, 3.466606178835091*^9}, {
   3.466606215139449*^9, 3.4666063023132877`*^9}, {3.466606349426206*^9, 
   3.466606356851091*^9}, {3.466606717978713*^9, 3.466606734321858*^9}, 
   3.4666071342172117`*^9, 3.4700489026786327`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L", "-", "R"}], ")"}], " ", "\[Alpha]"}]},
     {
      FractionBox[
       RowBox[{"L", " ", "\[Alpha]"}], 
       RowBox[{"L", "+", "x"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.46660631167542*^9, 3.466606357458951*^9, 
  3.466606735235079*^9, 3.4666071342173223`*^9, 3.470050555447652*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "R"}], " ", "\[Beta]"}]},
     {"0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.46660631167542*^9, 3.466606357458951*^9, 
  3.466606735235079*^9, 3.4666071342173223`*^9, 3.470050555466134*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L", "-", "R"}], ")"}], " ", "\[Gamma]"}]},
     {
      RowBox[{"-", 
       FractionBox[
        RowBox[{"L", " ", "\[Gamma]"}], 
        RowBox[{"L", "+", "x"}]]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.46660631167542*^9, 3.466606357458951*^9, 
  3.466606735235079*^9, 3.4666071342173223`*^9, 3.4700505554932423`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Horizontal", "Subsection",
 CellChangeTimes->{{3.470048915281674*^9, 3.47004891632838*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MH", "=", " ", 
   RowBox[{"-", 
    RowBox[{
     RowBox[{"dist", "[", 
      RowBox[{"L", "+", "x"}], "]"}], ".", 
     RowBox[{"curve", "[", "R", "]"}], ".", 
     RowBox[{"dist", "[", 
      RowBox[{"L", "+", "x"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invM", " ", "=", " ", 
   RowBox[{"Inverse", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", "MH"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"dA", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"dist", "[", 
      RowBox[{"L", "+", "x"}], "]"}], ".", 
     RowBox[{"curve", "[", "R", "]"}], ".", 
     RowBox[{"dist", "[", "L", "]"}], ".", 
     RowBox[{"misalign", "[", "\[Alpha]", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dB", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"-", 
     RowBox[{"invM", ".", 
      RowBox[{"dist", "[", 
       RowBox[{"L", "+", "x"}], "]"}], ".", 
      RowBox[{"misalign", "[", "\[Beta]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dG", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"invM", ".", 
     RowBox[{"dist", "[", "x", "]"}], ".", 
     RowBox[{"misalign", "[", "\[Gamma]", "]"}]}], "]"}], "]"}]}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4666071342176037`*^9, 3.466607168395534*^9}, {
  3.466607199049803*^9, 3.466607200201227*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "L"}], " ", "\[Alpha]"}]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "L"}], "+", "R"}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"L", "-", "R", "+", "x"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.4666071718742323`*^9, 3.466607201378213*^9}, 
   3.4700505555333633`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {
      RowBox[{"-", 
       FractionBox[
        RowBox[{"R", " ", "\[Beta]"}], 
        RowBox[{"L", "-", "R", "+", "x"}]]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.4666071718742323`*^9, 3.466607201378213*^9}, 
   3.470050555559214*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"L", " ", "\[Gamma]"}]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "L"}], "+", "R"}], ")"}], " ", "\[Gamma]"}], 
       RowBox[{"L", "-", "R", "+", "x"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.4666071718742323`*^9, 3.466607201378213*^9}, 
   3.470050555592196*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Four mirror cavity", "Section",
 CellChangeTimes->{{3.470048958264827*^9, 3.4700489617749987`*^9}}],

Cell[TextData[{
 "This is a model of the OMC with two curved mirrors and two flat mirrors.   \
There are two lengths (L1, L2) and we evaluate ",
 StyleBox["from the curved mirror",
  FontSlant->"Italic"],
 " (not the waist).  The two mirrors have the same radius of curvature.  dA \
is a flat mirror,  dB is curved,  dG is flat,  dD is curved.  The reference \
plane is immediately ",
 StyleBox["after",
  FontSlant->"Italic"],
 " the curved dD mirror. We ignore astigmatism and multi-D reflections. We \
also multiply by the term 1-L/2/R because its everywhere."
}], "Text",
 CellChangeTimes->{{3.4700491698838377`*^9, 3.470049223148986*^9}, {
  3.470049262676155*^9, 3.470049278339446*^9}, {3.4700493229947453`*^9, 
  3.470049328762354*^9}, {3.470049367404605*^9, 3.470049386169849*^9}, {
  3.470050376314527*^9, 3.470050395985373*^9}, {3.470050528196659*^9, 
  3.4700505430055943`*^9}, {3.470050605538834*^9, 3.470050625746332*^9}, {
  3.470050701299502*^9, 3.47005070424916*^9}}],

Cell[CellGroupData[{

Cell["Vertical", "Subsection",
 CellChangeTimes->{{3.470048905729452*^9, 3.470048906569583*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MV", " ", "=", " ", 
   RowBox[{
    RowBox[{"curve", "[", "R", "]"}], ".", 
    RowBox[{"dist", "[", 
     RowBox[{"L1", "+", "L2"}], "]"}], ".", 
    RowBox[{"curve", "[", "R", "]"}], ".", 
    RowBox[{"dist", "[", 
     RowBox[{"L1", "+", "L2"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invM", " ", "=", " ", 
   RowBox[{"Inverse", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", "MV"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GG", " ", "=", " ", 
   RowBox[{"2", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L1", "+", "L2"}], ")"}], "/", "2"}], "/", "R"}]}], 
     ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dA", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"GG", " ", 
     RowBox[{"invM", ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", 
       RowBox[{"L1", "+", "L2"}], "]"}], ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", "L1", "]"}], ".", 
      RowBox[{"misalign", "[", "\[Alpha]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dB", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"GG", " ", 
     RowBox[{"invM", ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", 
       RowBox[{"L1", "+", "L2"}], "]"}], ".", 
      RowBox[{"misalign", "[", "\[Beta]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dG", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"GG", " ", 
     RowBox[{"invM", ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", "L1", "]"}], ".", 
      RowBox[{"misalign", "[", "\[Gamma]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dD", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", " ", 
   RowBox[{"Simplify", "[", 
    RowBox[{"GG", " ", 
     RowBox[{"invM", ".", 
      RowBox[{"misalign", "[", "\[Delta]", "]"}]}]}], "]"}], 
   "]"}]}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4666061753949537`*^9, 3.466606178835091*^9}, {
   3.466606215139449*^9, 3.4666063023132877`*^9}, {3.466606349426206*^9, 
   3.466606356851091*^9}, {3.466606717978713*^9, 3.466606734321858*^9}, 
   3.4666071342172117`*^9, 3.4700489026786327`*^9, {3.470049288291257*^9, 
   3.4700493131506853`*^9}, {3.4700494795189247`*^9, 3.470049522845327*^9}, {
   3.470049556528118*^9, 3.4700495714973173`*^9}, {3.4700504565714083`*^9, 
   3.470050486922621*^9}, {3.470050638579173*^9, 3.47005066375484*^9}, {
   3.4700507093003197`*^9, 3.470050743286148*^9}, {3.470051064383644*^9, 
   3.4700510649640493`*^9}, {3.470051434495401*^9, 3.470051437693369*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L1", "-", "R"}], ")"}], " ", "\[Alpha]"}]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "L1", " ", 
           RowBox[{"(", 
            RowBox[{"L1", "+", "L2"}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "L1"}], "+", "L2"}], ")"}], " ", "R"}]}], 
         ")"}], " ", "\[Alpha]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L1", "+", "L2"}], ")"}], " ", "R"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.470050555648271*^9, 3.470050666196957*^9, {3.470050714928618*^9, 
   3.470050744220982*^9}, 3.4700510676136837`*^9, 3.470051439467272*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "R"}], " ", "\[Beta]"}]},
     {"\[Beta]"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.470050555648271*^9, 3.470050666196957*^9, {3.470050714928618*^9, 
   3.470050744220982*^9}, 3.4700510676136837`*^9, 3.470051439471264*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L2", "-", "R"}], ")"}], " ", "\[Gamma]"}]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L1", "-", "L2"}], ")"}], " ", "\[Gamma]"}], 
       RowBox[{"L1", "+", "L2"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.470050555648271*^9, 3.470050666196957*^9, {3.470050714928618*^9, 
   3.470050744220982*^9}, 3.4700510676136837`*^9, 3.470051439474226*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L1", "+", "L2", "-", "R"}], ")"}], " ", "\[Delta]"}]},
     {
      RowBox[{"-", "\[Delta]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.470050555648271*^9, 3.470050666196957*^9, {3.470050714928618*^9, 
   3.470050744220982*^9}, 3.4700510676136837`*^9, 3.470051439477141*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Horizontal", "Subsection",
 CellChangeTimes->{{3.470048905729452*^9, 3.470048906569583*^9}, {
  3.470050490872114*^9, 3.470050492413581*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MH", " ", "=", " ", 
   RowBox[{
    RowBox[{"curve", "[", "R", "]"}], ".", 
    RowBox[{"dist", "[", 
     RowBox[{"L1", "+", "L2"}], "]"}], ".", 
    RowBox[{"curve", "[", "R", "]"}], ".", 
    RowBox[{"dist", "[", 
     RowBox[{"L1", "+", "L2"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invM", " ", "=", " ", 
   RowBox[{"Inverse", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "2", "]"}], "-", "MV"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GG", " ", "=", " ", 
   RowBox[{"2", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L1", "+", "L2"}], ")"}], "/", "2"}], "/", "R"}]}], 
     ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dA", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"-", "GG"}], " ", 
     RowBox[{"invM", ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", 
       RowBox[{"L1", "+", "L2"}], "]"}], ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", "L1", "]"}], ".", 
      RowBox[{"misalign", "[", "\[Alpha]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dB", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"GG", " ", 
     RowBox[{"invM", ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", 
       RowBox[{"L1", "+", "L2"}], "]"}], ".", 
      RowBox[{"misalign", "[", "\[Beta]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dG", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"-", "GG"}], " ", 
     RowBox[{"invM", ".", 
      RowBox[{"curve", "[", "R", "]"}], ".", 
      RowBox[{"dist", "[", "L1", "]"}], ".", 
      RowBox[{"misalign", "[", "\[Gamma]", "]"}]}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dD", " ", "=", " ", 
  RowBox[{"MatrixForm", "[", " ", 
   RowBox[{"Simplify", "[", 
    RowBox[{"GG", " ", 
     RowBox[{"invM", ".", 
      RowBox[{"misalign", "[", "\[Delta]", "]"}]}]}], "]"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.4700514884181423`*^9, 3.470051499482553*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "L1"}], "+", "R"}], ")"}], " ", "\[Alpha]"}]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "L1", " ", 
           RowBox[{"(", 
            RowBox[{"L1", "+", "L2"}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "L1"}], "+", "L2"}], ")"}], " ", "R"}]}], 
         ")"}], " ", "\[Alpha]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L1", "+", "L2"}], ")"}], " ", "R"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.4700505557178698`*^9, 3.470051504459814*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "R"}], " ", "\[Beta]"}]},
     {"\[Beta]"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.4700505557178698`*^9, 3.470051504462397*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "L2"}], "+", "R"}], ")"}], " ", "\[Gamma]"}]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "L1"}], "+", "L2"}], ")"}], " ", "\[Gamma]"}], 
       RowBox[{"L1", "+", "L2"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.4700505557178698`*^9, 3.4700515044731083`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L1", "+", "L2", "-", "R"}], ")"}], " ", "\[Delta]"}]},
     {
      RowBox[{"-", "\[Delta]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.4700505557178698`*^9, 3.470051504488675*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{640, 656},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 90, 1, 100, "Section"],
Cell[660, 25, 946, 31, 90, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1643, 61, 96, 1, 100, "Section"],
Cell[1742, 64, 206, 4, 62, "Text"],
Cell[CellGroupData[{
Cell[1973, 72, 1296, 30, 133, "Input"],
Cell[3272, 104, 1025, 25, 78, "Output"],
Cell[4300, 131, 1088, 27, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5437, 164, 97, 1, 100, "Section"],
Cell[5537, 167, 334, 6, 107, "Text"],
Cell[CellGroupData[{
Cell[5896, 177, 96, 1, 51, "Subsection"],
Cell[CellGroupData[{
Cell[6017, 182, 1706, 44, 248, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[7726, 228, 941, 26, 90, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[8670, 256, 818, 22, 80, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[9491, 280, 968, 27, 90, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10508, 313, 97, 1, 51, "Subsection"],
Cell[10608, 316, 1572, 43, 225, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[12183, 361, 911, 27, 90, "Output"],
Cell[13097, 390, 791, 23, 92, "Output"],
Cell[13891, 415, 886, 26, 90, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14826, 447, 105, 1, 100, "Section"],
Cell[14934, 450, 983, 18, 174, "Text"],
Cell[CellGroupData[{
Cell[15942, 472, 96, 1, 51, "Subsection"],
Cell[16041, 475, 2884, 73, 432, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[18928, 550, 1316, 39, 94, "Output"],
Cell[20247, 591, 800, 22, 80, "Output"],
Cell[21050, 615, 981, 28, 92, "Output"],
Cell[22034, 645, 870, 24, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22941, 674, 147, 2, 51, "Subsection"],
Cell[CellGroupData[{
Cell[23113, 680, 2274, 66, 432, "Input"],
Cell[25390, 748, 1217, 37, 94, "Output"],
Cell[26610, 787, 703, 20, 80, "Output"],
Cell[27316, 809, 937, 28, 92, "Output"],
Cell[28256, 839, 773, 22, 80, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
